Jump to content
Double Fine Action Forums

Andreas Thalhammer

DFA Backers
  • Content Count

    4
  • Joined

  • Last visited

About Andreas Thalhammer

  • Rank
    Newbie
  1. ~ glxinfo | grep s3tc GL_EXT_texture_compression_rgtc, GL_EXT_texture_compression_s3tc, GL_OES_read_format, GL_S3_s3tc GL_EXT_texture_compression_rgtc, GL_EXT_texture_compression_s3tc, GL_OES_read_format, GL_S3_s3tc, GL_SGIS_generate_mipmap, This was for amd64. Now I have to find out if s3tc is also available for x86… But how?
  2. First of all: thanks for looking into it! I have to check for s3tc, partly. I do have libtxc_dxtn installed for the amd64 part (i.e. "lib64", which is my /lib and /usr/lib). Other games that require it work well with Steam on Linux, so I know it works. I have to check if it is also available for 32 bit programs. I'll report back when I'm home at my desktop… I think thou that the other games that require s3tc are also 32-bit binaries, so I fear that this is not the fault that causes it…
  3. Sadly, the error message persists; I found a line in MESA texstorage.c that may be the line in question, line 365, but I don't know what to do about it: assert(texFormat != MESA_FORMAT_NONE); This is now with media-libs/mesa-9.2.5. My graphics drivers are the open source radeon drivers with gallium and r600-llvm-compiler from mesa: ~ glxinfo direct rendering: Yes server glx vendor string: SGI server glx version string: 1.4 GLX version: 1.4 OpenGL vendor string: X.Org OpenGL renderer string: Gallium 0.4 on AMD TURKS OpenGL core profile version string: 3.1 (Core Profile) Mesa 9.2.5 OpenGL core profile shading language version string: 1.40 OpenGL core profile context flags: (none) OpenGL version string: 3.0 Mesa 9.2.5 OpenGL shading language version string: 1.30 OpenGL context flags: (none) Help appreciated! Anything I should try?
  4. ~/Steam/SteamApps/common/Broken Age $ ./run.sh BrokenAge: ../../src/mesa/main/texstorage.c:345: texstorage: Assertion `texFormat != MESA_FORMAT_NONE' failed. ./run.sh: line 10: $PID Aborted LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:./lib ./BrokenAge My system: Gentoo Linux, ARCH=amd64 AMD Phenom II X6 1090T AMD Radeon HD 6670 16 GB RAM The MESA installation is media-libs/mesa-9.2.4, but I will update to 9.2.5 today and report back.
×
×
  • Create New...